package wangll.wfs._willow_sub_process._wfp_1;
import workflow.script.*;
import workflow.script.core.*;
import workflow.*;
import workflow.services.*;
import workflow.store.*;
import workflow.store.persistence.*;
import workflow.wfmc.xpdl.*;
import workflow.wfmc.xpdl.event.*;
import workflow.wfmc.runtime.*;
import workflow.wfmc.usermodel.*;
import workflow.wfmc.xpdl.*;

public final class _script_Trans_2a extends workflow.script.core.ScriptBase
 {
public void _script_init() {}
public boolean _script_evalute(WorkflowWork workflowWork,ParameterContext paramContext)
throws ScriptException,WorkflowException
{
  boolean result=true;
  
  if(result)
  {
    System.err.println("------------------ Accept Transition ------------------");
    try
    {
      WorkflowTransition workflowTransition=getWorkflowTransition();
      WorkflowProcess wfProcess=workflowTransition.getWorkflowProcess();
        System.err.println("processID       = "+wfProcess.getUUID()); 
        System.err.println("packageID       = "+wfProcess.getWorkflowPackage().getUUID());  
        System.err.println("activityID      = "+workflowWork.getWorkflowActivity().getUUID());
        System.err.println("transitionID    = "+workflowTransition.getUUID());
    }
    catch(Exception ex)
    {
      ex.printStackTrace(System.err);
    }  
  }
  
  return result;
}
public void _script_destroy() {}
}

